Summary:	Hyprland graphics / resource utilities
Name:		hyprgraphics
Version:	0.1.3
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/hyprwm/hyprgraphics/releases
Source0:	https://github.com/hyprwm/hyprgraphics/archive/v%{version}/%{name}-v%{version}.tar.gz
# Source0-md5:	04bb071ced065d4dc3f5ec135ca80e87
Patch0:		flags.patch
URL:		https://hyprland.org/
BuildRequires:	cairo-devel
BuildRequires:	cmake >= 3.30
BuildRequires:	hyprutils-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libjxl-devel
BuildRequires:	libmagic-devel
BuildRequires:	libspng-devel
BuildRequires:	libstdc++-devel >= 6:14
BuildRequires:	libwebp-devel
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hyprgraphics is a small C++ library with graphics / resource related
utilities used across the hypr* ecosystem.

%package devel
Summary:	Header files for hyprgraphics
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
Header files for hyprgraphics.

%prep
%setup -q
%patch -P 0 -p1

%build
%cmake -B build

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE README.md
%attr(755,root,root) %{_libdir}/libhyprgraphics.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhyprgraphics.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhyprgraphics.so
%{_includedir}/hyprgraphics
%{_pkgconfigdir}/hyprgraphics.pc
%changelog
* Sun May 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hyprgraphics.git;a=log;h=master

* Fri May 09 2025 Jan Palus <atler@pld-linux.org> 046f74c
- up to 0.1.3

* Sat Feb 01 2025 Jan Palus <atler@pld-linux.org> 3a373c3
- hyprutils 0.5.0 rebuild

* Wed Jan 29 2025 Jan Rękorajski <baggins@pld-linux.org> 5bcb8e4
- Release 3 (by relup.sh)

* Sat Jan 11 2025 Jan Palus <atler@pld-linux.org> 52fa9b7
- hyprutils 0.3.x rebuild

* Fri Dec 20 2024 Jan Palus <atler@pld-linux.org> 9ad51c0
- new

